kf6-kguiaddons (6.17.0-0ubuntu2) questing; urgency=medium

  * d/p/upstream_fix-copilot-key.patch: Fix Copilot key on newer
    laptops. (LP: #2123428)

 -- Rik Mills <rikmills@kde.org>  Mon, 22 Sep 2025 22:40:27 +0100

kf6-kguiaddons (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:15:17 +0100

kf6-kguiaddons (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:42:36 +0100

kf6-kguiaddons (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.
  * debian/rules: Do not build python bindings.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:33:01 +0100

kf6-kguiaddons (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)
  * Build depend on wayland-protocols (>= 1.39~)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:57:33 +0100

kf6-kguiaddons (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:51:56 +0000

kf6-kguiaddons (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:47:41 +0000

kf6-kguiaddons (6.10.0a-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Build depend on qt6-declarative-dev.
  * New qml module package qml6-module-org-kde-guiaddons.
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency
    detection.
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 11:49:56 +0000

kf6-kguiaddons (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:46:23 +0000

kf6-kguiaddons (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * Update symbols from build logs.
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:36:02 +0000

kf6-kguiaddons (6.6.0-0ubuntu2) oracular; urgency=medium

  * Fix last upload with updates lost in git my merge.
    - Refresh symbols for all arches.

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Sep 2024 17:29:04 +0100

kf6-kguiaddons (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:06:02 +0100

kf6-kguiaddons (6.5.0-0ubuntu2) oracular; urgency=medium

  * Version Breaks/Replaces libkf5guiaddons-bin to (<< 5.116.0-
    0ubuntu2~) to allow co-installability on upgrade.

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Aug 2024 09:39:24 +0100

kf6-kguiaddons (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:22:50 +0100

kf6-kguiaddons (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:34:05 +0100

kf6-kguiaddons (6.3.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Enable the geo scheme handler.

 -- Patrick Franz <deltaone@debian.org>  Sat, 15 Jun 2024 12:05:35 +0200

kf6-kguiaddons (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:44:14 +0200

kf6-kguiaddons (6.0.0-2) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 14 May 2024 08:27:32 +0200

kf6-kguiaddons (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 30 Mar 2024 01:38:09 +0100

kguiaddons (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Mar 2024 11:21:11 +0100

kguiaddons (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:27 +0200

kguiaddons (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:48 +0100

kguiaddons (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:22 +0100

kguiaddons (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Update symbols from build for 5.102.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:00 +0100

kguiaddons (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:21 +0100

kguiaddons (5.100.0-3) unstable; urgency=medium

  * Team upload.
  * Update the symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Fri, 25 Nov 2022 07:50:44 +0100

kguiaddons (5.100.0-2) unstable; urgency=medium

  * Team upload.
  * Update the symbols files from the logs of buildds.
  * Remove breaks/replaces for existing packages with versions older than
    oldstable.

 -- Pino Toscano <pino@debian.org>  Sun, 20 Nov 2022 17:13:48 +0100

kguiaddons (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.99.0.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.100.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:56 +0100

kguiaddons (5.98.0-2) unstable; urgency=medium

  * Team upload.
  * Mark a Linux-only symbol in the symbols file as linux-any.
  * Modernize the building more:
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the manually specified pkgkde_symbolshelper addon for dh

 -- Pino Toscano <pino@debian.org>  Thu, 06 Oct 2022 07:55:52 +0200

kguiaddons (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:35 +0200

kguiaddons (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:27 +0200

kguiaddons (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Refresh lintian overrides.
  * Move the desktop files for kde-geo-uri-handler to libkf5guiaddons-
    bin alongside the binary.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:32:56 +0200

kguiaddons (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).
  * Update the list of installed files from build logs.
  * Update symbols from build for 5.94.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:02 +0200

kguiaddons (5.93.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - drop all the manually specified addons and buildsystem for dh
  * Remove inactive Uploaders.
  * Remove the unused ${shlibs:Depends} substvar from libkf5guiaddons-data.

 -- Pino Toscano <pino@debian.org>  Sat, 14 May 2022 17:49:46 +0200

kguiaddons (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.92.0).
  * Update the list of installed files.
  * Add libkf5guiaddons-data and libkf5guiaddons-bin packages to split shared
    data and the new kde-geo-uri-handler binary.
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:43 +0200

kguiaddons (5.90.0-2) unstable; urgency=medium

  * Team upload.
  * Mark few more Linux symbols as linux-any.
  * CI: enable again blhc, as it works fine now with blhc 0.13.

 -- Pino Toscano <pino@debian.org>  Sat, 19 Feb 2022 11:08:26 +0100

kguiaddons (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:41 +0100

kguiaddons (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:39 +0900

kguiaddons (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:55:01 +0900

kguiaddons (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:46 +0900

kguiaddons (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).
  * Update build-deps and deps with the info from cmake

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:51:26 +0900

kguiaddons (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:04 +0900

kguiaddons (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).
  * Update depends from cmake.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 13:25:32 +0900

kguiaddons (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Update dependencies from cmake.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 22:00:13 +0900

kguiaddons (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:18 +0900

kguiaddons (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:34 +0900

kguiaddons (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:28 +0900

kguiaddons (5.78.0-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:21 +0900

kguiaddons (5.78.0-2) experimental; urgency=medium

  * Fix incorrect B-D.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 21:10:51 +0900

kguiaddons (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:42 +0900

kguiaddons (5.77.0-4) unstable; urgency=medium

  * Team upload.
  * Allow kguiaddons to build again on non-Linux architectures:
    (Closes: #978164)
    - limit the libqt5waylandclient5-dev, libwayland-dev, and
      qtwayland5-dev-tools build dependencies as linux-any
    - pass -DWITH_WAYLAND=OFF to cmake on non-Linux architectures
    - limit two symbols as linux-any

 -- Pino Toscano <pino@debian.org>  Sun, 27 Dec 2020 10:50:45 +0100

kguiaddons (5.77.0-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:34 +0900

kguiaddons (5.77.0-2) experimental; urgency=medium

  [ Norbert Preining ]
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 15:53:13 +0900

kguiaddons (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:53 +0900

kguiaddons (5.74.0-3) unstable; urgency=medium

  * Team upload.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Remove the unused debian/meta/ stuff.
  * Do not ship anymore the almost empty upstream README.md as documentation
    in libkf5guiaddons-dev.
  * Stop passing --fail-missing to dh_missing, as it is the default in
    debhelper compatibility 13+.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Restore (again) the libkf5coreaddons-dev dependency in libkf5guiaddons-dev,
    as one header uses CoreAddons.

 -- Pino Toscano <pino@debian.org>  Fri, 23 Oct 2020 15:02:33 +0200

kguiaddons (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:14:26 +0200

kguiaddons (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add categories file to libkf5guiaddons5.
  * remove libkf5coreaddons-dev from libkf5guiaddons-dev depends.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Update symbols from build for 5.74.0.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:44:20 +0200

kguiaddons (5.70.0-2) unstable; urgency=medium

  * Team upload.
  * Restore the libkf5coreaddons-dev dependency in libkf5guiaddons-dev, as one
    header uses CoreAddons. (Closes: #961983)

 -- Pino Toscano <pino@debian.org>  Mon, 01 Jun 2020 23:38:56 +0200

kguiaddons (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.21.0-1.
  * Use secure URI in Homepage field.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove not needed Depdends for libkf5guiaddons-dev.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:55:50 +0200

kguiaddons (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Add Build-Depends-Package to symbols file.
  * Update symbols from build for 5.69.0.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 00:56:05 +0200

kguiaddons (5.62.0-2) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Install the kmodifierkey_xcb.so plugin (Closes: #945833). Thanks Luca for
    the bug report and the triaging!
  * Avoid future missing installed parts by passing --fail-missing to
    dh_missing.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 01 Dec 2019 14:55:18 -0300

kguiaddons (5.62.0-1) unstable; urgency=medium

  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:01 -0700

kguiaddons (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Fix "kguiaddons FTCBFS: missing Build-Depends: qttools5-dev"
    Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info). (Closes: #928905)

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update symbols files.
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:32 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libkf6guiaddons6`.
